Bug 239783 - games/linux-unigine-*: Fix MASTER_SITES and minor other issues.
Summary: games/linux-unigine-*: Fix MASTER_SITES and minor other issues.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tijl Coosemans
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2019-08-11 21:49 UTC by Hannes Hauswedell
Modified: 2019-09-05 11:26 UTC (History)
2 users (show)

See Also:
h2+fbsdports: maintainer-feedback+
koobs: merge-quarterly?


Attachments
new port: games/linux-unigine-superposition (14.38 KB, text/plain)
2019-08-11 21:49 UTC, Hannes Hauswedell
no flags Details
Fix to games/linux-unigine-heaven (1.64 KB, patch)
2019-08-11 21:49 UTC, Hannes Hauswedell
h2+fbsdports: maintainer-approval+
Details | Diff
Fix to games/linux-unigine-valley (687 bytes, patch)
2019-08-11 21:50 UTC, Hannes Hauswedell
h2+fbsdports: maintainer-approval+
Details | Diff
Fix to games/linux-unigine-heaven (2.96 KB, patch)
2019-09-03 10:45 UTC, Hannes Hauswedell
h2+fbsdports: maintainer-approval+
Details | Diff
Fix to games/linux-unigine-valley (2.26 KB, patch)
2019-09-03 10:46 UTC, Hannes Hauswedell
h2+fbsdports: maintainer-approval+
Details | Diff
New patch (2.48 KB, patch)
2019-09-03 15:55 UTC, Hannes Hauswedell
h2+fbsdports: maintainer-approval+
Details | Diff
New patch (3.15 KB, patch)
2019-09-03 15:56 UTC, Hannes Hauswedell
h2+fbsdports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hannes Hauswedell 2019-08-11 21:49:01 UTC
Created attachment 206447 [details]
new port: games/linux-unigine-superposition

The master sites were broken on:

games/linux-unigine-heaven
games/linux-unigine-valley

These are fixed through the attached patches. [I am the port maintainer]

I have also added a new port:

games/linux-unigine-superposition

Which contains the latest benchmark by Unigine. 

The ports have been tested with linux-base-c7 and nvidia. The new port opens the benchmark directly and does not go through the launcher (that contains pre-run options), because that has a bunch more dependencies that I wasn't able to resolve.
Comment 1 Hannes Hauswedell 2019-08-11 21:49:40 UTC
Created attachment 206448 [details]
Fix to games/linux-unigine-heaven
Comment 2 Hannes Hauswedell 2019-08-11 21:50:09 UTC
Created attachment 206449 [details]
Fix to games/linux-unigine-valley
Comment 3 commit-hook freebsd_committer 2019-08-21 02:25:41 UTC
A commit references this bug:

Author: meta
Date: Wed Aug 21 02:25:00 UTC 2019
New revision: 509486
URL: https://svnweb.freebsd.org/changeset/ports/509486

Log:
  java/intellij-ultimate: Update to 2019.2

  While here, convert to UCL pkg-message.

  PR:		239783
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru> (maintainer)

Changes:
  head/java/intellij-ultimate/Makefile
  head/java/intellij-ultimate/distinfo
  head/java/intellij-ultimate/files/idea.1
  head/java/intellij-ultimate/files/idea.desktop.in
  head/java/intellij-ultimate/files/idea.in
  head/java/intellij-ultimate/files/pkg-message.in
  head/java/intellij-ultimate/pkg-plist
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-21 08:28:33 UTC
@Hannes It's preferable in almost all cases to use separate issues for port updates and new ports. The only exception is if a new port is *required* by the updates/fixes, but even in that case, its preferable to have the update issue depend on the new port issue.

Could you please create a new issue for the new port, and if these update/fixes require that new port, set the new port issue ID the 'depends on' field here.
Comment 5 Hannes Hauswedell 2019-08-22 17:34:56 UTC
I have split off the new port into https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240041

The updates to the older ports are unrelated and depend neither on each other, nor the new port.

I wasn't able to remove the attachment from this bug-report, but maybe I am just stupid to handle the interface ;)
In the future I will make separate reports for everything.

Thanks for looking into this!
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-23 01:51:54 UTC
Attachments can only be deleted by administrators, but uploaders/authors of attachments can 'obsolete' them

Attachment -> Details -> Edit Details -> [x] Obsolete

Hidden very well and annoying, yes :)

Thanks you for creating that separate issue Hannes
Comment 7 Hannes Hauswedell 2019-08-25 21:55:26 UTC
Do I need to self-approve changes via the flags? (I just did to be sure)
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-26 03:50:30 UTC
(In reply to Hannes Hauswedell from comment #7)

Yep

- Obsolete the new port patch. Attachment -> Details -> Edit Details -> [x] Obsolete

- Approve attachments for ports you maintain. Attachment -> Details -> maintainer-approval [+]
Comment 9 Hannes Hauswedell 2019-08-31 16:26:33 UTC
Comment on attachment 206447 [details]
new port: games/linux-unigine-superposition

obsoleted by https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240041
Comment 10 Hannes Hauswedell 2019-09-03 10:45:59 UTC
Created attachment 207141 [details]
Fix to games/linux-unigine-heaven
Comment 11 Hannes Hauswedell 2019-09-03 10:46:45 UTC
Created attachment 207142 [details]
Fix to games/linux-unigine-valley
Comment 12 Hannes Hauswedell 2019-09-03 10:51:17 UTC
I have updated the patches, they now include the following fixes:

  * fix MASTER_SITES
  * fix order of ONLY_FOR_ARCHS to make portlint happy
  * remove openal-soft dependency since the ports ship their own so
  * install and use vendor-supplied script to automatically choose between archs
  * bump PORTREVISION

Regarding the script, see also https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240054

It should be noted that "make stage-qa" now complains about "#!/bin/bash" in the vendor-supplied script – which is a false-positive, because the scripts are run by linux-base's shells.
Or should I patch the linux-base's shell into the shbang?
Comment 13 Tijl Coosemans freebsd_committer 2019-09-03 14:36:58 UTC
I don't think changing the /bin/bash is important, but if you want to get rid of the warning you could add this:

SHEBANG_FILES=	heaven
bash_CMD=	${LINUXBASE}/bin/bash

I do think it would be nice to add a .desktop file so it appears in desktop application menus:

DESKTOP_ENTRIES="Unigine Heaven" "" "${DATADIR}/data/launcher/icon.png" \
		"${PREFIX}/bin/${PORTNAME}" "Game;" false
Comment 14 Hannes Hauswedell 2019-09-03 14:56:41 UTC
(In reply to Tijl Coosemans from comment #13)

Sure, will do. The desktop file will be called usr_local_bin_unigineheaven.desktop is that intended?

How would I change that to something less convoluted? The porter's handbook doesn't seem to mention the filename...
Comment 15 Tijl Coosemans freebsd_committer 2019-09-03 15:38:41 UTC
(In reply to Hannes Hauswedell from comment #14)
Hmm, the file name is derived from the command.  You can remove "${PREFIX}/bin/".
Comment 16 Hannes Hauswedell 2019-09-03 15:55:27 UTC
Created attachment 207147 [details]
New patch

All discussed changes.
Comment 17 Hannes Hauswedell 2019-09-03 15:56:04 UTC
Created attachment 207148 [details]
New patch

All discussed changes.
Comment 18 commit-hook freebsd_committer 2019-09-05 10:24:35 UTC
A commit references this bug:

Author: tijl
Date: Thu Sep  5 10:23:57 UTC 2019
New revision: 511168
URL: https://svnweb.freebsd.org/changeset/ports/511168

Log:
  - Make fetchable again.  The checksum has changed.  Since this is a binary
    only port it's not known what that means.  A timestamp in the selfextractor
    script is now a couple of hours after the previous one so it may simply
    be a release+facepalm+fix+rerelease.  At least it is downloaded from the
    official site now.
  - Fix portlint warnings.
  - Add a .desktop file.
  - Change startup script so it runs the 64-bit version on amd64.

  PR:		239783
  Submitted by:	Hannes Hauswedell <h2+fbsdports@fsfe.org> (maintainer)

Changes:
  head/games/linux-unigine-heaven/Makefile
  head/games/linux-unigine-heaven/distinfo
  head/games/linux-unigine-heaven/pkg-plist
Comment 19 commit-hook freebsd_committer 2019-09-05 10:28:37 UTC
A commit references this bug:

Author: tijl
Date: Thu Sep  5 10:27:42 UTC 2019
New revision: 511169
URL: https://svnweb.freebsd.org/changeset/ports/511169

Log:
  - Make fetchable again.
  - Fix portlint warnings.
  - Add a .desktop file.
  - Change startup script so it runs the 64-bit version on amd64.

  PR:		239783
  Submitted by:	Hannes Hauswedell <h2+fbsdports@fsfe.org> (maintainer)

Changes:
  head/games/linux-unigine-valley/Makefile
  head/games/linux-unigine-valley/pkg-plist
Comment 20 commit-hook freebsd_committer 2019-09-05 11:26:44 UTC
A commit references this bug:

Author: tijl
Date: Thu Sep  5 11:26:14 UTC 2019
New revision: 511177
URL: https://svnweb.freebsd.org/changeset/ports/511177

Log:
  Replace ${FALSE} with false in DESKTOP_ENTRIES.  ${FALSE} is a command.

  PR:		239783

Changes:
  head/games/linux-unigine-valley/Makefile